# PetscMalloc2

Allocates 2 chunks of memory

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| t1 | - type of first memory elements
| m2 | - number of elements to allocate in 2nd chunk (may be zero)
| t2 | - type of second memory elements

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk

### Synopsis

    PetscErrorCode PetscMalloc2(size_t m1,type, t1,void **r1,size_t m2,type t2,void **r2)

Notes: Memory of first chunk is always allocated at least double aligned

### See Also

PetscFree(), PetscNew(), PetscMalloc()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html